Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1198297 - If multiple activation keys used, and one has config file deploy enabled, then all activation keys configs get deployed
Summary: If multiple activation keys used, and one has config file deploy enabled, the...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Registration
Version: 570
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Matej Kollar
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Depends On:
Blocks: 462714
TreeView+ depends on / blocked
 
Reported: 2015-03-03 18:14 UTC by Michele Newman
Modified: 2019-04-16 14:40 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-04 14:33:03 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Michele Newman 2015-03-03 18:14:40 UTC
Description of problem:
If multiple activation keys are being used to register a system, and one has config file deploy enabled, then all activation keys configs get deployed.

Version-Release number of selected component (if applicable):
Satellite 5.4 on up.  Haven't tested previous satellite versions.

How reproducible:
Every time.

Steps to Reproduce:
1. Create multiple activation keys, with config files
2. Enable config file deploy on one
3. Register a system (in kickstart or bootstrap)
 

Actual results:
All configs in all activation keys get deployed

Expected results:
Registration should honor which activation keys have config file deployment enabled.  

Additional info:
Sometimes its best not to deploy all config files especially when bootstrapping existing systems and it could potentially break the system.    

Found where this was initially made to deploy all configs: https://bugzilla.redhat.com/show_bug.cgi?id=557581#c3


Note You need to log in before you can comment on or make changes to this bug.